OPENSLIDE-QUICKHASH1SUM(1)

NAME
openslide-quickhash1sum - Print OpenSlide quickhash-1 checksums

SYNOPSIS
openslide-quickhash1sum [--help] [--version] slide...

DESCRIPTION
Print OpenSlide quickhash-1 checksums for one or more virtual slide files, in a format similar to sha256sum(1).

quickhash-1 is a non-cryptographic, 256-bit hash of a subset of a slide's data. It uniquely identifies a particular virtual slide, but cannot be used to detect corruption or modification of the slide file.

OPTIONS

--help
    Display usage summary.

--version
    Display version and copyright information.

EXIT STATUS
openslide-quickhash1sum returns 0 on success, 1 if a quickhash-1 could not be calculated, or 2 if the arguments are invalid.

NOTES
openslide-quickhash1sum is a legacy command and no new features will be added. Its replacement is the slide quickhash1 subcommand of slidetool(1).

BUGS
quickhash-1 is not defined for all slide files supported by OpenSlide. If a slide does not have a quickhash-1, "No quickhash-1 available" will be printed.

COPYRIGHT
Copyright © 2007-2023 Carnegie Mellon University and others

OpenSlide is free software: you can redistribute it and/or modify it under the terms of the

OpenSlide comes with NO WARRANTY, to the extent permitted by law. See the GNU Lesser General Public License for more details.

SEE ALSO
sha256sum(1), slidetool(1)